PTS-SUBSCRIBE(1)

BEZEICHNUNG
pts-subscribe - zeitlich begrenztes Abonnement des PTS

ÜBERSICHT
pts-subscribe [Optionen] Paket

pts-unsubscribe [Optionen] Paket

BESCHREIBUNG
pts-subscribe sendet eine Abonnement-Anfrage für Paket an das Paketverfolgungssystem (PTS) unter »pts@qa.debian.org« und annuliert das Abonnement 30 Tage später.

Falls es als pts-unsubscribe aufgerufen wird, sendet es eine Anfrage für das Annulieren des Abonnements an das Paketverfolgungssystem.

Dieses Hilfswerkzeug ist nützlich, falls ein Entwickler ein NMU durchgeführt hat und das Paket für eine begrenzte Zeit verfolgen möchte.

OPTIONEN

--until Zeit, -u Zeit
    wenn at(1) das Abonnements annulieren soll. Zeit muss mittels der Syntax von at angegeben werden. Vorgabe ist »now + 30 days«. Diese Option muss wahrscheinlich vor der Interpretation durch die Shell geschützt werden!

--forever
    annuliert das Abonnement nicht automatisch. Dies kann auch als --until forever angegeben werden.

--help, -h
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

UMGEBUNGSVARIABLEN

DEBEMAIL, EMAIL
    Falls eine davon gesetzt ist (vorrangig DEBEMAIL), wird sie als Abonnement-Adresse verwendet. Falls keine davon gesetzt ist, wird die E-Mail ohne Angabe einer Abonnement-Adresse gesandt und die E-Mail aus der Zeile »Von:« zum Bestimmen der Absenderadresse benutzt. Dies wird durch mail(1) festgelegt.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

PTS_UNTIL
    diese Einstellung entspricht der Option --until.

SIEHE AUCH
at(1), Informationen über das Paketverfolgungssystem (PTS) finden sich in der Debian Entwickler-Referenz unter https://www.debian.org/doc/developers-reference/resources.html#pkg-tracking-system.

AUTOR
Dieses Programm wurde von Julian Gilbey <jdg@debian.org> basierend auf einem Public-Domain-Prototyp von Raphael Hertzog <hertzog@debian.org> geschrieben und unterliegt dem Copyright der GPL, Version 2 oder später.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.